Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export.draw
Class DrawVisitor

    java.lang.Object
      net.sf.jasperreports.engine.util.UniformElementVisitor
          net.sf.jasperreports.engine.export.draw.DrawVisitor

All Implemented Interfaces:
  JRVisitor

    public class DrawVisitor

extends UniformElementVisitor

Version:
  $Id: DrawVisitor.java 3991 2010-10-12 20:10:55Z lucianc $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`protected ConvertVisitor` | `convertVisitor`
`protected PrintDrawVisitor` | `drawVisitor`

Constructor Summary
`DrawVisitor(JRReport report, java.awt.Graphics2D grx)`
`DrawVisitor(ReportConverter reportConverter, java.awt.Graphics2D grx)`

Method Summary
`protected Offset` | `elementOffset(JRElement element)`
`void` | `setGraphics2D(java.awt.Graphics2D grx)`
`void` | `setTextRenderer(JRReport report)`
`void` | `visitBreak(JRBreak breakElement)`
`protected void` | `visitElement(JRElement element)` Method that gets called when any element is visited, no matter what its type is.
`void` | `visitElementGroup(JRElementGroup elementGroup)`

Methods inherited from class net.sf.jasperreports.engine.util.UniformElementVisitor
`visitChart, visitComponentElement, visitCrosstab, visitEllipse, visitFrame, visitGenericElement, visitImage, visitLine, visitRectangle, visitStaticText, visitSubreport, visitTextField`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### convertVisitor

    protected ConvertVisitor convertVisitor

### drawVisitor

    protected PrintDrawVisitor drawVisitor

Constructor Detail

### DrawVisitor

    public DrawVisitor(JRReport report,
                       java.awt.Graphics2D grx)

### DrawVisitor

    public DrawVisitor(ReportConverter reportConverter,
                       java.awt.Graphics2D grx)

Method Detail

### setGraphics2D

    public void setGraphics2D(java.awt.Graphics2D grx)

### setTextRenderer

    public void setTextRenderer(JRReport report)

### visitBreak

    public void visitBreak(JRBreak breakElement)

  Specified by:
    `visitBreak` in interface `JRVisitor`
  Overrides:
    `visitBreak` in class `UniformElementVisitor`

### visitElement

    protected void visitElement(JRElement element)

  Description copied from class: `UniformElementVisitor`
  Method that gets called when any element is visited, no matter what its type is.

  Specified by:
    `visitElement` in class `UniformElementVisitor`
  Parameters:
    `element` - the element to be visited

### elementOffset

    protected Offset elementOffset(JRElement element)

### visitElementGroup

    public void visitElementGroup(JRElementGroup elementGroup)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com